%define VERSION 1.2
# Initial spec file created by autospec ver. 0.8 with rpm 3 compatibility
Summary: Rpmorphan list the orphaned rpm packages
# The Summary: line should be expanded to about here -----^
Summary(fr): Rpmorphan liste les packages rpm orphelins
Name: rpmorphan
Version: %{VERSION}
Release: 1
Group: Applications/System
#Group(fr): (translated group goes here)
License: GPL
Source: rpmorphan-%{VERSION}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
# Following are optional fields
URL: http://rpmorphan.sourceforge.net
Packager: Eric Gerbier <gerbier@users.sourceforge.net>
#Distribution: Red Hat Contrib-Net
#Patch: src-%{version}.patch
#Prefix: /usr
BuildArch: noarch
Requires: perl
Requires: rpm
#Obsoletes: 
#BuildRequires: 

%description
rpmorphan  finds  "orphaned"  packages  on  your system. It determines
which packages have no other packages depending on their installation,
and shows you a list of these packages.
It intends to be clone of deborphan debian tools for rpm packages.

It will try to help you to remove unused packages, for exemple :
- after a distribution upgrade
- when you want to suppress packages after some tests

several tools are also provided :
- rpmusage : display rpm packages last use date
- rpmdep   : display the full dependency of an installed rpm package
- rpmduplicates : find programs with several version installed

%description -l fr
Le  logiciel  rpmorphan  liste  les  packages  rpm  qui  n'ont plus de
dpendances avec les autres paquets installs sur votre systme.
C'est un clone du logiciel deborphan de debian pour les packages rpm.

Il peut vous aider pour supprimer les packages inutiliss, par exemple :
- aprs une monte de version systme
- lors de la suppression de logiciels aprs des tests

plusieurs outils sont galement fournis :
- rpmusage : donne la date de la dernire utilisation d'un package
- rpmdep   : founit l'ensemble des dependances (recursive) d'un package
- rpmduplicates : cherche les logiciels qui ont plusieurs versions installes

%prep
%setup
#%patch

%build
#echo "build"
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%{_bindir}/rpmorphan-lib.pl
%{_bindir}/rpmorphan.pl
%{_bindir}/rpmorphan
%{_bindir}/rpmusage.pl
%{_bindir}/rpmusage
%{_bindir}/rpmdep.pl
%{_bindir}/rpmdep
%{_bindir}/rpmduplicates.pl
%{_bindir}/rpmduplicates
/var/log/rpmorphan.log
%dir /var/lib/rpmorphan
%attr(644, root, root)/var/lib/rpmorphan/keep
%doc %{_mandir}/man1/rpmorphan.1*
%doc %{_mandir}/man1/rpmusage.1*
%doc %{_mandir}/man1/rpmdep.1*
%doc %{_mandir}/man1/rpmduplicates.1*
%doc rpmorphan.lsm
%doc Authors
%doc COPYING
%doc Changelog
%doc NEWS
%doc Todo
%doc Makefile
%doc Readme
%doc rpmorphanrc.sample

%changelog
* Mon Apr 7 2008 <gerbier@users.sourceforge.net> 1.2-1
- write log to /var/log/rpmorphan.log
- add rpmdep.pl tool
- add rpmduplicate.pl tool

* Thu Nov 22 2007 <gerbier@users.sourceforge.net> 1.1-1
- (rpmorphan) add a default target : guess-lib
- (rpmorphan) test rpm delete
- fix warnings from perlcritic tool
- (rpmorphan) split too complex code (add read_one_rc, init_cache)
- (rpmorphan) add keep-file option, which allow to cutomize the keep file
- add rpmorphan-lib.pl to store common code for rpmorphan, rpmusage
- (rpmusage) add a default target : all
- use rpmlint to build a better rpm package

* Wed Apr 27 2007 <gerbier@users.sourceforge.net> 1.0
- fix bug with tk : core dump because update call before mainloop
- add w_ prefix for widgets variables
- add dry-run (simulation) mode
- (gui) add 3 counters : packages, orphans, selected
- (gui) display_status call debug sub
- new Liste_pac global variable
- (gui) change curses geometry to work on console
- (gui) recursive analysis
- improve virtuals : now check if how many package provide this one

* Wed Mar 29 2007 <gerbier@users.sourceforge.net> 0.9
- add curses interface
- test for root access before removing packages
- add optionnal configuration file
- recode debugging system
- apply conway coding rules
- add tk_get_current_elem sub
- add get_from_command_line sub
- add status widget
* Tue Mar 06 2007 <gerbier@users.sourceforge.net> 0.8
- add simple graphical user iinterface (optionnal)
- remove global variable opt_verbose
- split code in functions : access_time_filter, read_rpm_data, search_orphans
* Tue Feb 28 2007  <gerbier@users.sourceforge.net> 0.4
- add optionnal cache
* Tue Feb 03 2007  <gerbier@users.sourceforge.net> 0.3
- add rpmusage tool
- add a link from rpmorphan.pl to rpmorphan
* Tue Jan 30 2007  <gerbier@users.sourceforge.net> 0.2
- add permanent exclude list
* Tue Jan 23 2007  <gerbier@users.sourceforge.net> 0.1
- Initial spec file 
